#blogs {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    
    position: relative;
    
    width: 100%;
    padding: min(var(--page-bounds, 0px), var(--dynamic-padding, 0px)) var(--dynamic-padding, 0px);
    gap: 24px;
}

#blogs > title-group {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;
}

#blogs > title-group > h2 {
    width: 100%;
}

#blogs > title-group > p {
    max-width: 55rem;
}


#blogs > title-group > layout-row.actions {
    gap: 8px;
}

#blogs > title-group > layout-row.actions > button {
    position: relative;
    
    background-color: rgb(242, 242, 245);
    border-radius: 16px;
    
    width: 58px;
    height: 58px;
    
    transition: background-color var(--transition), border-radius var(--transition);
}

#blogs > title-group > layout-row.actions > button::before {
    content: "";
    position: absolute;
    
    top: 0;
    left: 0;
    
    width: 100%;
    height: 100%;
}

#blogs > title-group > layout-row.actions > button:hover {
    background-color: rgb(0, 0, 0);
    border-radius: 29px;
}

#blogs > title-group > layout-row.actions > button[data-enabled="0"] {
    pointer-events: none;
    background-color: rgba(240, 240, 240, 0) !important;
}

#blogs > title-group > layout-row.actions > button > img {
    opacity: 1;
    position: absolute;
    
    top: 50%;
    left: 50%;
    
    width: 26px;
    height: 26px;
    
    transition: filter var(--transition), opacity var(--transition);
}

#blogs > title-group > layout-row.actions > button[data-action="-1"] > img {
    transform: translate(-50%, -50%) scaleX(-1);
}

#blogs > title-group > layout-row.actions > button[data-action="1"] > img {
    transform: translate(-50%, -50%) scaleX(1);
}

#blogs > title-group > layout-row.actions > button:hover > img {
    filter: invert(1);
}

#blogs > title-group > layout-row.actions > button[data-enabled="0"] > img {
    opacity: 0.1;
    filter: invert(0) !important;
}

#blogs > layout-row.bounds {
    position: relative;
    width: 100%;
}

#blogs > layout-row.bounds > layout-row.container {
    position: absolute;
    background-color: rgb(250, 250, 250);
    
    top: 0;
    left: 0;
    
    width: auto;
    height: 100%;
    
    gap: 24px;
    transition: transform 0.25s ease;
}

#blogs > layout-row.bounds > layout-row.container > .blog {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
    
    position: relative;
    overflow: hidden;
    
    width: 416px;
}

#blogs > layout-row.bounds,
#blogs > layout-row.bounds > .container,
#blogs > layout-row.bounds > .container > .blog {
    height: 412px;
}

#blogs > layout-row.bounds > layout-row.container > a.blog {
    opacity: 0;
    animation: fade-in-animation 1s ease forwards;
    animation-delay: calc(var(--index, 0) * 0.15s);
}

#blogs > layout-row.bounds > layout-row.container > a.blog::after {
    content: "";
    position: absolute;
    
    background-color: rgba(0, 0, 0, 0);
    
    top: 0;
    left: 0;
    
    transition: background-color var(--transition);
}

#blogs > layout-row.bounds > layout-row.container > a.blog:hover::after {
    background-color: rgba(0, 0, 0, 0.25);
}

#blogs > layout-row.bounds > layout-row.container > a.blog::after,
#blogs > layout-row.bounds > layout-row.container > .blog > img,
#blogs > layout-row.bounds > layout-row.container > .blog > skeleton-img {
    border-radius: 16px;
    width: 100%;
    height: 285px;
    margin-bottom: 8px;
}

#blogs > layout-row.bounds > layout-row.container > .blog > img {
    background-color: rgb(242, 242, 245);
}

#blogs > layout-row.bounds > layout-row.container > .blog .title {
    font-weight: 500;
    font-size: 1rem;
    
    white-space: nowrap;
    line-height: 1rem;
    letter-spacing: calc(1rem * var(--letter-spacing) / 2);
    
    overflow: hidden;
    text-overflow: ellipsis;
    
    width: 100%;
}

#blogs > layout-row.bounds > layout-row.container > .blog .content {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    
    color: rgba(0, 0, 0, 0.5);
  
    font-weight: 500;
    font-size: 0.75rem;
    
    white-space: normal;
    line-height: calc(0.75rem * 1.75);
    letter-spacing: calc(0.75rem * var(--letter-spacing) / 2);
    
    overflow: hidden;
    text-overflow: ellipsis;
    
    width: 100%;
    height: calc(0.75rem * 1.75 * 2);
}

#blogs > layout-row.bounds > layout-row.container > .blog > layout-row {
    justify-content: space-between;
    width: 100%;
}

#blogs > layout-row.bounds > layout-row.container > .blog .date {
    color: rgba(0, 0, 0, 0.5);
    
    font-weight: 500;
    font-size: 0.675rem;
    
    line-height: 0.675rem;
    letter-spacing: calc(0.675rem * var(--letter-spacing) / 2);
}